# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::TextureUnit Class Reference

The TextureUnit class associates a Texture object to an OpenGL texture unit. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::TextureUnit:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| TextureUnit (int texunit)
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
virtual void | disable () const
virtual void | enable () const
virtual void | initResources ()
void | setTexture (Texture *texture)
Texture * | texture ()
const Texture * | texture () const
bool | hasTexture () const
## Protected Attributes
ref< Texture > | mTexture

## Detailed Description

The TextureUnit class associates a Texture object to an OpenGL texture unit.

See also:
  Texture, TexParameter, Shader, TextureMatrix, TexEnv, TexGen, Effect, Actor

## Constructor & Destructor Documentation

vl::TextureUnit::TextureUnit | ( | int | texunit | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::TextureUnit::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::TextureUnit::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void TextureUnit::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void TextureUnit::disable | ( |  | ) | const`[virtual]`

Reimplemented from vl::RenderState.

void TextureUnit::enable | ( |  | ) | const`[virtual]`

Reimplemented from vl::RenderState.

virtual void vl::TextureUnit::initResources | ( |  | ) | `[inline, virtual]`

Reimplemented from vl::RenderState.

void vl::TextureUnit::setTexture | ( | Texture * | texture | ) | `[inline]`

Texture* vl::TextureUnit::texture | ( |  | ) | `[inline]`

const Texture* vl::TextureUnit::texture | ( |  | ) | const`[inline]`

bool vl::TextureUnit::hasTexture | ( |  | ) | const`[inline]`

## Member Data Documentation

ref<Texture> vl::TextureUnit::mTexture`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:52 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.